---
title: "List User Rooms of a Team"
slug: "list-user-rooms-of-a-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Rooms of a Team

Get/api/v1/teams.listRoomsOfUser

Lists only the team's rooms that a particular user has joined.

Permissions required: `view-all-teams`, `view-all-team-channels`

Header parametersX-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f

Query parametersteamNamestring

The team name. It is required if the `teamId` is not provided.

Examplelivestream
teamIdstring

The team id. It is required if the `teamName` is not provided.

Example63f3efc4b000b6b6d86704b2
userIdstringRequired

The user ID.

ExamplerbAXrutTFbNprfn
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='79ff0126-43b3-4b7a-a7a3-9a503deb2ca4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='401db132-10ef-45f5-af03-dbf0b9a765a1'>Success</option>
</select>Success

```json
{
  "rooms": [
    {
      "_id": "JKa7R9zu2DinBhBN9",
      "fname": "Livestream",
      "customFields": {},
      "description": "",
      "broadcast": false,
      "encrypted": false,
      "federated": false,
      "name": "Livestream",
      "t": "c",
      "msgs": 16,
      "usersCount": 4,
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie"
      },
      "ts": "2023-02-22T17:15:26.989Z",
      "ro": false,
      "default": false,
      "sysMes": true,
      "_updatedAt": "2023-09-29T06:02:30.250Z",
      "lm": "2023-09-14T12:06:00.594Z",
      "lastMessage": {
        "_id": "rtf5JoPLQup3X7Aof",
        "t": "videoconf",
        "msg": "",
        "groupable": false,
        "blocks": [
          {
            "type": "video_conf",
            "blockId": "6502f728a2f73c7460df6f71",
            "callId": "6502f728a2f73c7460df6f71",
            "appId": "videoconf-core"
          }
        ],
        "ts": "2023-09-14T12:06:00.594Z",
        "u": {
          "_id": "rbAXPnMktTFbNpwtJ",
          "username": "test.test",
          "name": "test test"
        },
        "rid": "JKa7R9zu2DinBhBN9",
        "_updatedAt": "2023-09-14T12:06:00.685Z",
        "urls": [],
        "mentions": [],
        "channels": []
      },
      "teamId": "63f3efc4b000b6b6d86704b2",
      "teamDefault": true,
      "isLastOwner": true
    }
  ],
  "total": 1,
  "count": 1,
  "offset": 0,
  "success": true
}
```

Expand Allobject  rooms Array of object   object  _idstring    
fnamestring    
customFieldsobject  
descriptionstring    
broadcastboolean    
encryptedboolean    
federatedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
_updatedAtstring    
lmstring    
lastMessageobject  _idstring    
tstring    
msgstring    
groupableboolean    
blocks Array of object   object  typestring    
blockIdstring    
callIdstring    
appIdstring    

tsstring    
uobject  _idstring    
usernamestring    
namestring    

ridstring    
_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  

teamIdstring    
teamDefaultboolean    
isLastOwnerboolean    

totalinteger    
countinteger    
offsetinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='e686d1c9-0374-4824-8d82-1b4ab78291b6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='87ec06b3-a2f2-47e5-a7a3-df68d0d0fa5c'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
